Subject: categories: Re: Undirected graphs

From: Chris Wensley <[email-masked]>
Date: Thu, 9 Mar 2006 17:38:04 +0000 (GMT)

Dear Bob

> I've been following the recent posts on undirected graphs
> with interest. But I have a question. I think it's being said
> that undirected graphs are the same as directed graphs with
> involution. (Presheaves on the full subcategory of SET determined
> by 1 or 2, or just 2.) Which is nice but what about loops?
> The involution might fix a loop or not. So wouldn't we be
> getting undirected graphs with two kinds of loops, whole loops
> and semiloops? What am I missing?

There has been some 'work in progress' at Bangor on this very question
for the past 8 years. This is intended to present a categorical approach
to graph theory to workers in combinatorics, and is not intended for
category theorists.  The current draft, 06.04, is available at

http://www.informatics.bangor.ac.uk/public/mathematics/research/preprints/06/
(follow the link 06.04 to 06_04.pdf).

We do indeed discuss two types of loop, which we call 'loops' and 'bands'.

Ronnie is away today, but may well add his own comment tomorrow.

Best wishes, Chris Wensley